<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (version 1.7.0_65) on Fri Aug 22 15:07:03 CEST 2014 -->
<title>FRMGWebSocketServer</title>
<meta name="date" content="2014-08-22">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
</head>
<body>
<script type="text/javascript"><!--
    if (location.href.indexOf('is-external=true') == -1) {
        parent.document.title="FRMGWebSocketServer";
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar_top">
<!--   -->
</a><a href="#skip-navbar_top" title="Skip navigation links"></a><a name="navbar_top_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FRMGWebSocketServer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/HTTPServer.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html" target="_top">Frames</a></li>
<li><a href="FRMGWebSocketServer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_org.java_websocket.server.WebSocketServer">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.java_websocket.server.WebSocketServer">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">fr.inria.alpage.frmgcm.server</div>
<h2 title="Class FRMGWebSocketServer" class="title">Class FRMGWebSocketServer</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.WebSocketAdapter</li>
<li>
<ul class="inheritance">
<li>org.java_websocket.server.WebSocketServer</li>
<li>
<ul class="inheritance">
<li>fr.inria.alpage.frmgcm.server.FRMGWebSocketServer</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.lang.Runnable, org.java_websocket.WebSocketListener</dd>
</dl>
<hr>
<br>
<pre>public class <span class="strong">FRMGWebSocketServer</span>
extends org.java_websocket.server.WebSocketServer</pre>
<div class="block">A simple WebSocketServer implementation. Keeps track of a "chatroom".</div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested_class_summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested_classes_inherited_from_class_org.java_websocket.server.WebSocketServer">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;org.java_websocket.server.WebSocketServer</h3>
<code>org.java_websocket.server.WebSocketServer.WebSocketServerFactory, org.java_websocket.server.WebSocketServer.WebSocketWorker</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field_summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields_inherited_from_class_org.java_websocket.server.WebSocketServer">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;org.java_websocket.server.WebSocketServer</h3>
<code>DECODERS</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#FRMGWebSocketServer(java.net.InetSocketAddress)">FRMGWebSocketServer</a></strong>(java.net.InetSocketAddress&nbsp;address)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#FRMGWebSocketServer(int)">FRMGWebSocketServer</a></strong>(int&nbsp;port)</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method_summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="overviewSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span>Methods</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onClose(org.java_websocket.WebSocket,%20int,%20java.lang.String,%20boolean)">onClose</a></strong>(org.java_websocket.WebSocket&nbsp;conn,
       int&nbsp;code,
       java.lang.String&nbsp;reason,
       boolean&nbsp;remote)</code>
<div class="block">Called after the websocket connection has been closed.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onError(org.java_websocket.WebSocket,%20java.lang.Exception)">onError</a></strong>(org.java_websocket.WebSocket&nbsp;conn,
       java.lang.Exception&nbsp;ex)</code>
<div class="block">Called when errors occurs.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onFragment(org.java_websocket.WebSocket,%20org.java_websocket.framing.Framedata)">onFragment</a></strong>(org.java_websocket.WebSocket&nbsp;conn,
          org.java_websocket.framing.Framedata&nbsp;fragment)</code>&nbsp;</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onMessage(org.java_websocket.WebSocket,%20java.lang.String)">onMessage</a></strong>(org.java_websocket.WebSocket&nbsp;conn,
         java.lang.String&nbsp;message)</code>
<div class="block">Callback for string messages received from the remote host</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#onOpen(org.java_websocket.WebSocket,%20org.java_websocket.handshake.ClientHandshake)">onOpen</a></strong>(org.java_websocket.WebSocket&nbsp;conn,
      org.java_websocket.handshake.ClientHandshake&nbsp;handshake)</code>
<div class="block">Called after an opening handshake has been performed and the given websocket is ready to be written on.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#sendToAll(java.lang.String)">sendToAll</a></strong>(java.lang.String&nbsp;text)</code>&nbsp;</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><strong><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html#sendToAll(java.lang.String,%20org.java_websocket.WebSocket)">sendToAll</a></strong>(java.lang.String&nbsp;text,
         org.java_websocket.WebSocket&nbsp;except)</code>
<div class="block">Sends <var>text</var> to all currently connected WebSocket clients.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.server.WebSocketServer">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.server.WebSocketServer</h3>
<code>addConnection, allocateBuffers, connections, createBuffer, getAddress, getDraft, getFlashSecurityPolicy, getLocalSocketAddress, getPort, getRemoteSocketAddress, getWebSocketFactory, onCloseInitiated, onClosing, onConnect, onMessage, onWebsocketClose, onWebsocketCloseInitiated, onWebsocketClosing, onWebsocketError, onWebsocketHandshakeReceivedAsServer, onWebsocketMessage, onWebsocketMessage, onWebsocketMessageFragment, onWebsocketOpen, onWriteDemand, releaseBuffers, removeConnection, run, setWebSocketFactory, start, stop, stop</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_org.java_websocket.WebSocketAdapter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.java_websocket.WebSocketAdapter</h3>
<code>getFlashPolicy, onWebsocketHandshakeReceivedAsClient, onWebsocketHandshakeSentAsClient, onWebsocketPing, onWebsocketPong</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods_inherited_from_class_java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor_detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FRMGWebSocketServer(int)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FRMGWebSocketServer</h4>
<pre>public&nbsp;FRMGWebSocketServer(int&nbsp;port)
                    throws java.net.UnknownHostException</pre>
<dl><dt><span class="strong">Throws:</span></dt>
<dd><code>java.net.UnknownHostException</code></dd></dl>
</li>
</ul>
<a name="FRMGWebSocketServer(java.net.InetSocketAddress)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FRMGWebSocketServer</h4>
<pre>public&nbsp;FRMGWebSocketServer(java.net.InetSocketAddress&nbsp;address)</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method_detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="onOpen(org.java_websocket.WebSocket, org.java_websocket.handshake.ClientHandshake)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onOpen</h4>
<pre>public&nbsp;void&nbsp;onOpen(org.java_websocket.WebSocket&nbsp;conn,
          org.java_websocket.handshake.ClientHandshake&nbsp;handshake)</pre>
<div class="block"><strong>Description copied from class:&nbsp;<code>org.java_websocket.server.WebSocketServer</code></strong></div>
<div class="block">Called after an opening handshake has been performed and the given websocket is ready to be written on.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>onOpen</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
</dl>
</li>
</ul>
<a name="onClose(org.java_websocket.WebSocket, int, java.lang.String, boolean)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onClose</h4>
<pre>public&nbsp;void&nbsp;onClose(org.java_websocket.WebSocket&nbsp;conn,
           int&nbsp;code,
           java.lang.String&nbsp;reason,
           boolean&nbsp;remote)</pre>
<div class="block"><strong>Description copied from class:&nbsp;<code>org.java_websocket.server.WebSocketServer</code></strong></div>
<div class="block">Called after the websocket connection has been closed.</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>onClose</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
<dd><code>code</code> - The codes can be looked up here: <code>CloseFrame</code></dd><dd><code>reason</code> - Additional information string</dd><dd><code>remote</code> - Returns whether or not the closing of the connection was initiated by the remote host.</dd></dl>
</li>
</ul>
<a name="onMessage(org.java_websocket.WebSocket, java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onMessage</h4>
<pre>public&nbsp;void&nbsp;onMessage(org.java_websocket.WebSocket&nbsp;conn,
             java.lang.String&nbsp;message)</pre>
<div class="block"><strong>Description copied from class:&nbsp;<code>org.java_websocket.server.WebSocketServer</code></strong></div>
<div class="block">Callback for string messages received from the remote host</div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>onMessage</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
<dt><span class="strong">See Also:</span></dt><dd><code>WebSocketServer.onMessage(WebSocket, ByteBuffer)</code></dd></dl>
</li>
</ul>
<a name="onFragment(org.java_websocket.WebSocket, org.java_websocket.framing.Framedata)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onFragment</h4>
<pre>public&nbsp;void&nbsp;onFragment(org.java_websocket.WebSocket&nbsp;conn,
              org.java_websocket.framing.Framedata&nbsp;fragment)</pre>
<dl>
<dt><strong>Overrides:</strong></dt>
<dd><code>onFragment</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
<dt><span class="strong">See Also:</span></dt><dd><code>WebSocket.sendFragmentedFrame(org.java_websocket.framing.Framedata.Opcode, ByteBuffer, boolean)</code></dd></dl>
</li>
</ul>
<a name="onError(org.java_websocket.WebSocket, java.lang.Exception)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>onError</h4>
<pre>public&nbsp;void&nbsp;onError(org.java_websocket.WebSocket&nbsp;conn,
           java.lang.Exception&nbsp;ex)</pre>
<div class="block"><strong>Description copied from class:&nbsp;<code>org.java_websocket.server.WebSocketServer</code></strong></div>
<div class="block">Called when errors occurs. If an error causes the websocket connection to fail <code>WebSocketServer.onClose(WebSocket, int, String, boolean)</code> will be called additionally.<br>
 This method will be called primarily because of IO or protocol errors.<br>
 If the given exception is an RuntimeException that probably means that you encountered a bug.<br></div>
<dl>
<dt><strong>Specified by:</strong></dt>
<dd><code>onError</code>&nbsp;in class&nbsp;<code>org.java_websocket.server.WebSocketServer</code></dd>
</dl>
</li>
</ul>
<a name="sendToAll(java.lang.String)">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>sendToAll</h4>
<pre>public&nbsp;void&nbsp;sendToAll(java.lang.String&nbsp;text)</pre>
</li>
</ul>
<a name="sendToAll(java.lang.String, org.java_websocket.WebSocket)">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>sendToAll</h4>
<pre>public&nbsp;void&nbsp;sendToAll(java.lang.String&nbsp;text,
             org.java_websocket.WebSocket&nbsp;except)</pre>
<div class="block">Sends <var>text</var> to all currently connected WebSocket clients.</div>
<dl><dt><span class="strong">Parameters:</span></dt><dd><code>text</code> - The String to send across the network.</dd>
<dt><span class="strong">Throws:</span></dt>
<dd><code>java.lang.InterruptedException</code> - When socket related I/O errors occur.</dd></dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar_bottom">
<!--   -->
</a><a href="#skip-navbar_bottom" title="Skip navigation links"></a><a name="navbar_bottom_firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FRMGWebSocketServer.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-files/index-1.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/FRMGCMService.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">Prev Class</span></a></li>
<li><a href="../../../../../fr/inria/alpage/frmgcm/server/HTTPServer.html" title="class in fr.inria.alpage.frmgcm.server"><span class="strong">Next Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?fr/inria/alpage/frmgcm/server/FRMGWebSocketServer.html" target="_top">Frames</a></li>
<li><a href="FRMGWebSocketServer.html" target="_top">No Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested_classes_inherited_from_class_org.java_websocket.server.WebSocketServer">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields_inherited_from_class_org.java_websocket.server.WebSocketServer">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor_summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor_detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method_detail">Method</a></li>
</ul>
</div>
<a name="skip-navbar_bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
